package com.miaxis.test;

import com.miaxis.XpgxApplication;
import com.miaxis.wx.dto.WxacodeUnlimitDTO;
import com.miaxis.wx.service.IWxXcxService;
import com.miaxis.wx.service.IWxService;
import feign.Response;
import org.apache.commons.io.IOUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.*;
import java.util.Base64;

@SpringBootTest(classes = XpgxApplication.class)
@RunWith(SpringRunner.class)
public class WxXcxTest {

    @Autowired
    private IWxService wxService;

    @Autowired
    private IWxXcxService xcxService;



    @Test
    public void getLocation() throws IOException {
        FileOutputStream out = new FileOutputStream("D:\\output.png");
        String token = xcxService.getLocalXcxToken();
        String scene = "o_cXm6G-ZXGwd-W3VT9B4RhE-HhE";
        WxacodeUnlimitDTO unlimitDTO = new WxacodeUnlimitDTO();
        unlimitDTO.setScene(scene);
        unlimitDTO.setEnv_version("trial");

        //String reuslt =wxService.getWxacodeunLimit(token,unlimitDTO);
        //System.out.println(reuslt);

        Response response = wxService.getWxacodeunLimit(token,unlimitDTO);
        String contentType = response.headers().get("Content-Type").stream().findFirst().orElse("");
        System.out.println(contentType);
        if(response.status()==200) {
            if(contentType.contains("image/jpeg")) {
                InputStream io  = response.body().asInputStream();
                byte[] byteArray = IOUtils.toByteArray(io);
               // out.write(byteArray);
                String base64Str =  Base64.getEncoder().encodeToString(byteArray);
                System.out.println(base64Str);
            } else if (contentType.contains("application/json")){
                String result = response.body().toString();
                System.out.println(result);
            }

        }

      //  out.write(data);
       // String base64Str =  Base64.getEncoder().encodeToString(data);
      //  System.out.println(base64Str);

    }



}

