package com.miaxis.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "wxpay")
public class WxpayConfig {
    //APP支付下单地址
    private String v3url;
    //小程序 公众号微信体系内支付下单地址
    private String v3JsUrl;
    //H5 微信支付下单
    private String v3H5Url;
    //退款
    private String v3urlRefund;
    //退款回调
    private String notifyUrlRefund;
    //商户id
    private String merchantId;
    private String serialNumber;
    private String v3key;

}
