package com.miaxis.gan.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 天干地支对象 gan_zhi
 *
 * @author miaxis
 * @date 2023-11-16
 */
@Data
@TableName("gan_zhi")
@ApiModel(value = "GanZhiDto", description = "天干地支对象 gan_zhi")
public class GanZhi extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 天干地支名   */
    @Excel(name = "天干地支名  ")
    @TableField("name")
    @ApiModelProperty(value = "天干地支名  ")
    private String name;

    /** 颜色 */
    @Excel(name = "颜色")
    @TableField("color")
    @ApiModelProperty(value = "颜色")
    private String color;

    /** 五行 */
    @Excel(name = "五行")
    @TableField("five")
    @ApiModelProperty(value = "五行")
    private String five;

    /** 喜用 */
    @Excel(name = "喜用")
    @TableField("xi")
    @ApiModelProperty(value = "喜用")
    private String xi;

    /** 忌用 */
    @Excel(name = "忌用")
    @TableField("ji")
    @ApiModelProperty(value = "忌用")
    private String ji;


}
