package com.miaxis.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.dto.OrderInfoDto;
import com.miaxis.order.dto.OrderInfoMonthDto;
import com.miaxis.order.vo.OrderInfoMonthVo;
import com.miaxis.wx.domain.WxOrder;

import java.util.List;

/**
 * adService接口
 *
 * @author miaxis
 * @date 2021-08-19
 */
public interface IOrderInfoService extends IService<OrderInfo> {
    /**
     * 查询ad列表
     *
     * @param orderInfoDto orderInfo
     * @return order集合
     */
    List<OrderInfo> selectOrderInfoList(OrderInfoDto orderInfoDto);


    void writeVipDataToDb(WxOrder wxOrder, int payType);


    OrderInfo getByOutTradeNo(String outTradeNo);
}
