package com.miaxis.common.enums;

/**
 * 用户登录类型
 *
 * @author miaxis
 */
public enum StudentLoginTypeEnum
{

    AUTHORIZATION_CODE_LOGIN("1", "app微信授权码登录"),
    IOS_CODE_LOGIN("2", "IOS授权码登录"),
    AUTHORIZATION_XCX_LOGIN("3", "小程序登录"),
    AUTHORIZATION_H5_LOGIN("4", "H5微信授权码登录");

    private final String code;
    private final String info;

    StudentLoginTypeEnum(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
