package com.miaxis.gan.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.gan.domain.GanZhi;
import com.miaxis.gan.dto.GanZhiDto;
import com.miaxis.gan.vo.GanZhiFiveVo;
import com.miaxis.gan.vo.GanZhiRowVo;

/**
 * 天干地支Mapper接口
 *
 * @author miaxis
 * @date 2023-11-16
 */
public interface GanZhiMapper extends BaseMapper<GanZhi> {
    /**
     * 查询天干地支列表
     *
     * @param ganZhi 天干地支
     * @return 天干地支集合
     */
    List<GanZhi> selectGanZhiList(GanZhi ganZhi);

    List<GanZhiRowVo> selectGanZhiRowVoList(GanZhiDto ganZhiDto);

    List<GanZhiFiveVo> selectGanZhiFiveVoCount(GanZhiDto ganZhiDto);
}
