package com.miaxis.gan.service;

import java.util.List;
import com.miaxis.gan.domain.GanZhi;
import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.gan.dto.GanZhiDto;
import com.miaxis.gan.vo.GanZhiFiveVo;
import com.miaxis.gan.vo.GanZhiRowVo;

/**
 * 天干地支Service接口
 *
 * @author miaxis
 * @date 2023-11-16
 */
public interface IGanZhiService extends IService<GanZhi>{
    /**
     * 查询天干地支列表
     *
     * @param ganZhi 天干地支
     * @return 天干地支集合
     */
    public List<GanZhi> selectGanZhiList(GanZhi ganZhi);


    public List<GanZhiRowVo> selectGanZhiRowVoList(GanZhiDto ganZhiDto);


    public List<GanZhiFiveVo> selectGanZhiFiveVoCount(GanZhiDto ganZhiDto);
}
