package com.miaxis.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.dto.OrderInfoDto;
import com.miaxis.order.dto.OrderInfoMonthDto;
import com.miaxis.order.vo.OrderInfoMonthVo;

import java.util.List;

/**
 * adMapper接口
 *
 * @author miaxis
 * @date 2021-08-19
 */
public interface OrderInfoMapper extends BaseMapper<OrderInfo> {
    /**
     * 查询ad列表
     *
     * @param orderInfo orderInfo
     * @return orderInfo集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfoDto orderInfo);


    OrderInfo getByOutTradeNo(String outTradeNo);
}
