package com.miaxis.wx.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WxOrderDTO {
    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "商品ID（考场ID）",required = true)
    private Long goodsId;

    @ApiModelProperty(value = "商品类型 1:考场 2:实物",required = true)
    private Long goodsType;

    @ApiModelProperty(value = "手机类型 1苹果 2安卓",required = true)
    private Integer phoneType;  // 1苹果 2安卓

    @ApiModelProperty(value = "前端类型 1:app 2:小程序 3:公众号",required = true)
    private Integer foreType;


}
